function updatePrices(currency) {
    const priceElements = document.querySelectorAll('.sale_price');

    priceElements.forEach(element => {
      const usdPrice = element.getAttribute('data-usd-price');
      const cadPrice = element.getAttribute('data-cad-price');
      
      if (currency === 'USD') {
        element.textContent = usdPrice;
      } else if (currency === 'CAD') {
        element.textContent = cadPrice;
      }
    });
  }

  document.getElementById('currencySelect').addEventListener('change', function() {
    const selectedCurrency = this.value;
    updatePrices(selectedCurrency);
  });

  updatePrices(document.getElementById('currencySelect').value);



  
document.addEventListener("DOMContentLoaded", function() {
        document.getElementById("modelSelect").addEventListener("change", updateYearOptions);
        document.getElementById("searchButton").addEventListener("click", filterResults);
    });

    function updateYearOptions() {
        var model = document.getElementById("modelSelect").value;
        var yearSelect = document.getElementById("yearSelect");
        var yearOptions = yearSelect.querySelectorAll('option');
        yearOptions.forEach(function(option) {
            if(option.value === "") {
                option.style.display = "block";
            } else {
                option.style.display = "none";
            }
        });

        if (model) {
            var relevantOptions = yearSelect.querySelectorAll('option.' + model);
            relevantOptions.forEach(function(option) {
                option.style.display = "block";
            });
        }
    }

function filterResults() {
var model = document.getElementById("modelSelect").value;
var year = document.getElementById("yearSelect").value;

var orangeBoxes = document.querySelectorAll(".orangebox");
orangeBoxes.forEach(function(box) {
box.style.display = "none";
});

if (model === "CAMARO" && year === "16-24") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div1").style.display = "block";
} else if (model === "SILVERADO" && year === "17-24") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div2").style.display = "block";
}  else if (model === "CAMARO" || "SILVERADO" && year === "all") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "block";
});
}

}
